Skip to content
GET /notification-destination

Requires `notification:view`.

Query Parameters

qstring

Case-insensitive substring match on the destination's name. LIKE wildcards are matched literally. Max 200 characters.

Response Body

next_cursorstring,null
prev_cursorstring,null
resultobject[]
configobject

Non-secret settings. to/cc/bcc apply to email; ignored for slack.

4 properties
bccstring[]
ccstring[]
subject_prefixstring
tostring[]
created_atstring · date-time
created_by_user_idstring,null
event_typesstring[]

Fixed catalog of org events this destination is subscribed to.

Possible values:
connection.needs_reauthconnection.disconnectedmember.joinedmember.removedmember.roles_updatedinvite.sentinvite.revokedrole.createdrole.updatedrole.deletedrestriction.updatedconnector.created+ 8 more
idstring

Notification destination id (onfd_…).

is_activeboolean

Paused destinations keep their config but forward nothing.

last_test_atstring,null · date-time
last_test_statusstring,null
Possible values:
okfailednull
namestring
typestring

Immutable after creation.

Possible values:
slackemail
updated_atstring · date-time
curl -X GET 'https://api.elaichi.ai/notification-destination' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json'
const response = await fetch('https://api.elaichi.ai/notification-destination', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import os
import requests

url = "https://api.elaichi.ai/notification-destination"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}

response = requests.get(url, headers=headers)
print(response.json())